//This dofile use "${cleaned}/CLEANED.dta" to produce figures in report

use "${cleaned}/CLEANED.dta", clear
cd "${output}/"

//Descriptives
asdoc tabstat court_gov2020 if pre_post_covid==1, stat(N mean median sd min max) by(region) title(By Region) save(Descriptives.doc) replace
asdoc tabstat court_gov2020 if pre_post_covid==1, stat(N mean median sd min max) by(incomegroup) append title(By Income Group)

//Figure 1
twoway (scatter court_gov2020 log_gdp_per_capita, mlabel(code)) (fpfit court_gov2020 log_gdp_per_capita) if pre_post_covid==1, legend (position(6) row(1) label(2 "Polynomial Prediction")) ytitle("Percentage")
graph export "${output}/Figure 1.png", replace

//Figure 2
graph bar pre_post_covid_means, by(pre_post_covid, note("")) ytitle(Percentage)
graph export "${output}/Figure 2.png", replace

//Tables
asdoc tabstat pre_covid post_covid if pre_post_covid==0, stat(N mean median min max) append title(Pre- & Post-Covid)

//Excel
keep code country year source region incomegroup court_gov2020
export excel using "${output}/Court Budget as % of Gov't Exp..xlsx", firstrow(varlabels) replace